Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf
Class IconUIResource

    java.lang.Object
      javax.swing.plaf.IconUIResource

All Implemented Interfaces:
  Serializable, Icon, UIResource

    public class IconUIResource

extends Object
implements Icon, UIResource, Serializable

An Icon wrapper class which implements UIResource. UI classes which set icon properties should use this class to wrap any icons specified as defaults. This class delegates all method invocations to the Icon "delegate" object specified at construction.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

See Also:
  `UIResource`

Constructor Summary
`IconUIResource(Icon delegate)` Creates a UIResource icon object which wraps an existing Icon instance.

Method Summary
`int` | `getIconHeight()` Returns the icon's height.
`int` | `getIconWidth()` Returns the icon's width.
`void` | `paintIcon(Component c, Graphics g, int x, int y)` Draw the icon at the specified location.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IconUIResource

    public IconUIResource(Icon delegate)

  Creates a UIResource icon object which wraps an existing Icon instance.

  Parameters:
    `delegate` - the icon being wrapped

Method Detail

### paintIcon

    public void paintIcon(Component c,
                          Graphics g,
                          int x,
                          int y)

  Description copied from interface: `Icon`
  Draw the icon at the specified location. Icon implementations may use the Component argument to get properties useful for painting, e.g. the foreground or background color.

  Specified by:
    `paintIcon` in interface `Icon`

### getIconWidth

    public int getIconWidth()

  Description copied from interface: `Icon`
  Returns the icon's width.

  Specified by:
    `getIconWidth` in interface `Icon`
  Returns:
    an int specifying the fixed width of the icon.

### getIconHeight

    public int getIconHeight()

  Description copied from interface: `Icon`
  Returns the icon's height.

  Specified by:
    `getIconHeight` in interface `Icon`
  Returns:
    an int specifying the fixed height of the icon.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2011, Oracle and/or its affiliates. All rights reserved.